[arch-commits] Commit in haxe/repos/community-x86_64 (4 files)

Alexander Rødseth arodseth at archlinux.org
Mon Dec 23 09:51:02 UTC 2019


    Date: Monday, December 23, 2019 @ 09:51:01
  Author: arodseth
Revision: 539026

archrelease: copy trunk to community-x86_64

Added:
  haxe/repos/community-x86_64/PKGBUILD
    (from rev 539024, haxe/trunk/PKGBUILD)
  haxe/repos/community-x86_64/haxe.sh
    (from rev 539024, haxe/trunk/haxe.sh)
Deleted:
  haxe/repos/community-x86_64/PKGBUILD
  haxe/repos/community-x86_64/haxe.sh

----------+
 PKGBUILD |  172 ++++++++++++++++++++++++++++++-------------------------------
 haxe.sh  |    2 
 2 files changed, 87 insertions(+), 87 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-23 09:50:59 UTC (rev 539025)
+++ PKGBUILD	2019-12-23 09:51:01 UTC (rev 539026)
@@ -1,86 +0,0 @@
-# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
-# Contributor: Daichi Shinozaki <dsdseg at gmail.com>
-# Contributor: Andy Li <andy at onthewings.net>
-# Contributor: Kyle Brady  <kyle at spark-gap dot com>
-# Contributor: Patrick Hof <courts at offensivethinking.org>
-# Contributor: Michael Fellinger <mf at rubyists.com>
-
-pkgname=haxe
-pkgver=4.0.3
-pkgrel=1
-pkgdesc='Cross-platform toolkit and programming language'
-arch=(x86_64)
-url='https://haxe.org/'
-license=(GPL MIT LGPL)
-groups=(devel)
-depends=(neko)
-optdepends=(python php java-environment mono)
-makedepends=(git ocaml camlp4 zlib neko opam)
-provides=(haxe haxelib)
-options=(!strip !makeflags)
-# tag: 4.0.3
-source=("$pkgname-$pkgver::git+https://github.com/HaxeFoundation/haxe.git#commit=dcfaf4ac01ffd4dbfbcc649f6e2a41ca7bfd1450"
-        haxe.sh)
-sha256sums=('SKIP'
-            'da08272cf61872f3401ad8b9f0bf94a4b2bfbaeb7b65644ee822f4ac8aaaed10')
-
-prepare() {
-  cd "$pkgname-$pkgver"
-  git submodule update --init
-
-  # Patch the OCaml source files to use "Stdlib." instead of "Pervasives." (deprecated)
-  find . -name "*.ml" -type f -exec sed -i "s/Pervasives\./Stdlib./g" {} \;
-
-  # Prepare opam and ocamlfind before building
-  export HOME="$srcdir"
-  opam init -a
-  eval $(opam env)
-
-  # Install two ocaml packages that are used for building later on
-  opam install -y dune jbuilder
-
-  # Download and patch the sha package
-  opam install -y sha || true
-  find . -name "*.ml" -type f \
-    -exec sed -i "s/Pervasives\./Stdlib./g" {} \;
-
-  # Build and install the modified sha package
-  CCACHE_DISABLE=1 opam install -b --inplace-build --reuse-build-dir -y sha
-
-  # Install the other dependencies
-  opam install -y ocamlfind camlp5 sedlex ppx_tools_versioned xml-light extlib ptmap
-}
-
-build() {
-  # Needed to make Haxe build with OCaml 4.06 and 4.07
-  # For more info, see: https://github.com/HaxeFoundation/haxe/issues/6883#issuecomment-370142073
-  export OCAMLPARAM="safe-string=0,_"
-
-  # Prepare opam and ocamlfind before building
-  eval $(opam env)
-
-  cd "$pkgname-$pkgver"
-  make libs haxe
-
-  # "make tools" did not work. These are the replacement commands:
-  cd "$srcdir/$pkgname-$pkgver/extra/haxelib_src"
-  ../../haxe client.hxml || true
-  nekotools boot run.n
-  mv run ../../haxelib
-}
-
-check() {
-  "$pkgname-$pkgver/haxe" -version
-  "$pkgname-$pkgver/haxelib" version
-}
-
-package() {
-  install -d "$pkgdir/usr/"{bin/,share/haxe/}
-  install -m 755 "$srcdir/$pkgname-$pkgver"/{haxe,haxelib} "$pkgdir"/usr/bin/
-  cp -rf "$srcdir/$pkgname-$pkgver/std" "$pkgdir/usr/share/$pkgname/"
-  install -Dm 644 "$srcdir/$pkgname-$pkgver"/extra/LICENSE.txt \
-    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
-  install -Dm 644 "$srcdir/haxe.sh" "$pkgdir/etc/profile.d/haxe.sh"
-}
-
-# vim: ts=2 sw=2 et:

Copied: haxe/repos/community-x86_64/PKGBUILD (from rev 539024, haxe/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-12-23 09:51:01 UTC (rev 539026)
@@ -0,0 +1,86 @@
+# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
+# Contributor: Daichi Shinozaki <dsdseg at gmail.com>
+# Contributor: Andy Li <andy at onthewings.net>
+# Contributor: Kyle Brady  <kyle at spark-gap dot com>
+# Contributor: Patrick Hof <courts at offensivethinking.org>
+# Contributor: Michael Fellinger <mf at rubyists.com>
+
+pkgname=haxe
+pkgver=4.0.5
+pkgrel=1
+pkgdesc='Cross-platform toolkit and programming language'
+arch=(x86_64)
+url='https://haxe.org/'
+license=(GPL MIT LGPL)
+groups=(devel)
+depends=(neko)
+optdepends=(python php java-environment mono)
+makedepends=(git ocaml camlp4 zlib neko opam)
+provides=(haxe haxelib)
+options=(!strip !makeflags)
+# tag: 4.0.5
+source=("$pkgname-$pkgver::git+https://github.com/HaxeFoundation/haxe.git#commit=67feacebc59d5cd9dce232058f12cb933622d619"
+        haxe.sh)
+sha256sums=('SKIP'
+            'da08272cf61872f3401ad8b9f0bf94a4b2bfbaeb7b65644ee822f4ac8aaaed10')
+
+prepare() {
+  cd "$pkgname-$pkgver"
+  git submodule update --init
+
+  # Patch the OCaml source files to use "Stdlib." instead of "Pervasives." (deprecated)
+  find . -name "*.ml" -type f -exec sed -i "s/Pervasives\./Stdlib./g" {} \;
+
+  # Prepare opam and ocamlfind before building
+  export HOME="$srcdir"
+  opam init -a
+  eval $(opam env)
+
+  # Install two ocaml packages that are used for building later on
+  opam install -y dune jbuilder
+
+  # Download and patch the sha package
+  opam install -y sha || true
+  find . -name "*.ml" -type f \
+    -exec sed -i "s/Pervasives\./Stdlib./g" {} \;
+
+  # Build and install the modified sha package
+  CCACHE_DISABLE=1 opam install -b --inplace-build --reuse-build-dir -y sha
+
+  # Install the other dependencies
+  opam install -y ocamlfind camlp5 sedlex ppx_tools_versioned xml-light extlib ptmap
+}
+
+build() {
+  # Needed to make Haxe build with OCaml 4.06 and 4.07
+  # For more info, see: https://github.com/HaxeFoundation/haxe/issues/6883#issuecomment-370142073
+  export OCAMLPARAM="safe-string=0,_"
+
+  # Prepare opam and ocamlfind before building
+  eval $(opam env)
+
+  cd "$pkgname-$pkgver"
+  make libs haxe
+
+  # "make tools" did not work. These are the replacement commands:
+  cd "$srcdir/$pkgname-$pkgver/extra/haxelib_src"
+  ../../haxe client.hxml || true
+  nekotools boot run.n
+  mv run ../../haxelib
+}
+
+check() {
+  "$pkgname-$pkgver/haxe" -version
+  "$pkgname-$pkgver/haxelib" version
+}
+
+package() {
+  install -d "$pkgdir/usr/"{bin/,share/haxe/}
+  install -m 755 "$srcdir/$pkgname-$pkgver"/{haxe,haxelib} "$pkgdir"/usr/bin/
+  cp -rf "$srcdir/$pkgname-$pkgver/std" "$pkgdir/usr/share/$pkgname/"
+  install -Dm 644 "$srcdir/$pkgname-$pkgver"/extra/LICENSE.txt \
+    "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+  install -Dm 644 "$srcdir/haxe.sh" "$pkgdir/etc/profile.d/haxe.sh"
+}
+
+# vim: ts=2 sw=2 et:

Deleted: haxe.sh
===================================================================
--- haxe.sh	2019-12-23 09:50:59 UTC (rev 539025)
+++ haxe.sh	2019-12-23 09:51:01 UTC (rev 539026)
@@ -1 +0,0 @@
-export HAXE_STD_PATH=/usr/share/haxe/std

Copied: haxe/repos/community-x86_64/haxe.sh (from rev 539024, haxe/trunk/haxe.sh)
===================================================================
--- haxe.sh	                        (rev 0)
+++ haxe.sh	2019-12-23 09:51:01 UTC (rev 539026)
@@ -0,0 +1 @@
+export HAXE_STD_PATH=/usr/share/haxe/std


More information about the arch-commits mailing list